
#ifndef __OBJ_IOUTILS_H__
#define __OBJ_IOUTILS_H__

#include <string>

using namespace std;

string ROOT_PATH("/home/karpathy/object_discovery_release/");

string getScenePath(int sceneid) {
  
  char sbuf[100];
  sprintf(sbuf, "scenes/scene%04d.ply", sceneid);
  return ROOT_PATH + string(sbuf);
  
}

string getMeasurePath(int sceneid) {
  char sbuf[100];
  sprintf(sbuf, "measures/measure-s%04d.eig.txt", sceneid);
  return ROOT_PATH + string(sbuf);
}

string getSegmentPath(int sceneid, int segid) {
  char sbuf[100];
  sprintf(sbuf, "segments/segment-s%04d-g%04d.ply", sceneid, segid);
  return ROOT_PATH + string(sbuf);
  
}

#endif
